---
title: Presentation.receiver
slug: Web/API/Presentation/receiver
tags:
  - API
  - Presentation
  - Presentation API
  - Property
  - Read-only
  - Reference
  - receiver
---
<p>{{APIRef("Presentation")}}</p>

<p>The <strong>read-only</strong> {{domxref("Presentation")}} attribute <code>receiver</code>, which is only available in browser contexts which are <strong>receiving</strong> a presentation, returns the {{domxref("PresentationReceiver")}} object which can be used to access and communicate with the browser context which controls the presentation. This property is always <code>null</code> when accessed from outside a browser context which is receiving a presentation.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>receiver</em> = <em>Presentation</em>.receiver;

<em>receiver</em> = navigator.presentation.receiver;</pre>

<p>Since the {{domxref("Presentation")}} interface is typically accessed through {{domxref("navigation.presentation")}}, the second form of the syntax shown above is the more commonly used.</p>

<h3 id="Value">Value</h3>

<p>If the code is running in a context which is receiving a presentation, the returned value is a {{domxref("PresentationReceiver")}} which can then be used to communicate with the context which is the source of the presentation.</p>

<p>If the current context is not receiving a presentation, <code>receiver</code> is <code>null</code>.</p>

<h2 id="Example">Example</h2>

<h3 id="Determining_whether_or_not_the_context_is_receiving_a_presentation">Determining whether or not the context is receiving a presentation</h3>

<p>You can easily determine whether or not the context is the receiver for a presentation by checking the value of <code>navigator.receiver</code>. If it's a non-null value, then the context is indeed receiving a presentation. If it's <code>null</code>, there's no incoming presentation.</p>

<pre class="brush: js">if (navigator.receiver) {
  footer.innerHTML = "Receiving presentation";
}  else {
  footer.innerHTML = "(idle)";
}</pre>

<h3 id="Accessing_the_connection_list">Accessing the connection list</h3>

<p>This example uses <code>receiver</code> to access the list of incoming connections and to build and display a list of those connections' ID strings.</p>

<pre class="brush: js">let listElem = document.getElementById("connectionview");

navigator.presentation.receiver.connectionList
          .then(function(connections) {
    connections.forEach(function(aConnection)) {
      listElem.innerHTML += "&lt;li&gt;" + aConnection.id
            + "&lt;/li&gt;";
    });
});</pre>

<p>After getting access to the output list element in the variable <code>connectionView</code>, {{domxref("navigator.receiver")}} is used to get a reference to the {{domxref("PresentationReceiver")}} object for this context, and its {{domxref("PresentationReceiver.connectionList", "connectionList")}} is used to get a {{jsxref("Promise")}} which will be called when the list is available.</p>

<p>The promise handler receives as its input parameter an array of the incoming connections. We iterate over these using {{jsxref("Array.forEach", "forEach()")}}, appending a new item to the <code>connectionView</code> list element for each connection.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Presentation', '#dom-presentation-receiver', 'receiver')}}</td>
   <td>{{Spec2('Presentation')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.Presentation.receiver")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Presentation API</li>
 <li>{{domxref("Presentation")}}</li>
 <li>{{domxref("PresentationReceiver")}}</li>
</ul>

